Subject: Setting env var CYGWIN for Cygwin service?
From: Oleksandr Gavenko via Cygwin <[email-masked]>
To: [email-masked]
Date: Wed, 30 Dec 2020 22:09:00 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

Hi!

What way can I pass env var "CYGWIN" to the Cygwin service?

There are no that many influential options here:

  https://cygwin.com/cygwin-ug-net/using-cygwinenv.html

I can think of "winsymlinks:native" or "wincmdln".

Process Explorer shows following env vars for Cygwin's Exim process:

  PATH
  SYSTEMDRIVE
  SYSTEMROOT
  WINDIR

I configured it with "exim-config" and it is in the list of:

  cygrunsrv -L

I'm not sure if it is served by cygserver:

  https://cygwin.com/cygwin-ug-net/using-cygserver.html

-- 
http://defun.work/

--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple